Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# SDLmm::Timer Class Reference

`#include <sdlmm_timer.h>`

List of all members.

## Public Types
typedef unsigned int | Ticks
## Public Methods
| Timer ()
void | Mark ()
unsigned int | GetElapsed () const
## Static Public Methods
bool | Init ()
void | Quit ()
Ticks | GetTicks ()

## Member Typedef Documentation

typedef unsigned int SDLmm::Timer::Ticks

## Constructor & Destructor Documentation

SDLmm::Timer::Timer ( | )`[inline]`

## Member Function Documentation

unsigned int SDLmm::Timer::GetElapsed ( | ) const`[inline]`

Ticks SDLmm::Timer::GetTicks ( | )`[static]`

bool SDLmm::Timer::Init ( | )`[static]`

void SDLmm::Timer::Mark ( | )

void SDLmm::Timer::Quit ( | )`[static]`

The documentation for this class was generated from the following files:

- sdlmm_timer.h
- sdlmm_timer.cpp

Documentation automatically generated by written by Dimitri van Heesch. | Project hosted at